SOUND-GAMBIT(1)

NAME
sound-gambit - Audio File Peak Limiter

SYNOPSIS
sound-gambit [ OPTIONS ] <src> <dst>

DESCRIPTION
sound-gambit - an Audio File Digital Peak Limiter.

OPTIONS

-a, --auto-gain
    specify gain relative to peak

-i, --input-gain <db>
    input gain in dB (default 0)

-T, --true-peak
    oversample, use true-peak threshold

-t, --threshold <dBFS>
    threshold in dBFS/dBTP (default -1)

-r, --release-time <ms>
    release-time in ms (default 10)

-h, --help
    display this help and exit

-v, --verbose
    show processing information

-V, --version
    print version information and exit

This utility processes a given input file applying a digital peak look-ahead limiter, constraining the output level to the given threshold.

The target file will have the same properties (sample-rate, channels, bit-depth) as the source file, and file meta-data is copied. The algorithm does not work in-place. Input and Output files must be distinct. Reading via standard-I/O is supported, use '-' as file-name.

Prior to processing, additional input-gain can be applied. The allowed range is -10 to +30 dB.

When auto-gain is enabled, input-gain is relative to the given threshold, and specifies the amount of effective gain-reduction to be applied. If input-gain is zero, the file is only normalized to the given threshold.

The threshold range is -10 to 0 dBFS, and the limiter will not allow a single sample above this level.

The release-time can be set from 1 ms to 1 second. The limiter allows short release times even on signals that contain high level low frequency signals. Any gain reduction caused by those will have an automatically extended hold time in order to avoid the limiter following the shape of the waveform and create excessive distortion. Short superimposed peaks will still have the release time as set by this control.

The algorithm is based on Fons Adriaensen's zita-audiotools.

EXAMPLES
sound-gambit -i 3 -t -1.2 my-music.wav my-louder-music.wav

ffmpeg -i file.mp3 -f wav - | sound-gambit -v -T - output.wav

REPORTING BUGS
Report bugs to <https://github.com/x42/sound-gambit/issues>
Website: <https://github.com/x42/sound-gambit/>

COPYRIGHT
Copyright © GPL 2021 Robin Gareus <robin@gareus.org>